%define upstream_name    DBIx-Class-ResultSet-RecursiveUpdate
%define upstream_version 0.34

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    DBIx-Class extension for providing recursive updates
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Clan) >= 6.40.0
BuildRequires: perl(DBD::SQLite) >= 1.210.0
BuildRequires: perl(DBIx::Class) >= 0.81.30
BuildRequires: perl(DBIx::Class::IntrospectableM2M)
BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(List::MoreUtils) >= 0.220.0
BuildRequires: perl(Readonly) >= 1.30.0
BuildRequires: perl(SQL::Translator) >= 0.110.160
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Trap)
BuildRequires: perl(Test::Warn) >= 0.200.0
BuildArch:  noarch

%description
You can feed the ->create method of DBIx::Class with a recursive datastructure
and have the related records created. Unfortunately you cannot do a similar
thing with update_or_create. This module tries to fill that void until
DBIx::Class has an api itself.

The functional interface can be used without modifications of the model, for
example by form processors like HTML::FormHandler::Model::DBIC.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.340.0-7pclos2017
- rebuild against updates

